# frozen_string_literal: true

require 'gpx'

class ReadGpx
  attr_reader :tracks

  def initialize(file:)
    @file = file
  end

  def read
    gpx_object = GPX::GPXFile.new(gpx_file: @file)
    @tracks = gpx_object.tracks
  end
end
